Name:		lightdm-settings
Version:	1.1.4
Release:	1%{?dist}
Summary:	Configuration tool for the LightDM display manager

License:	GPLv3+
URL:		https://github.com/linuxmint/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:     %{url}/commit/88fe0974aff7caddecd3701062922feac95ca722.patch#/new_background_support.patch

BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	gettext

Requires:	filesystem
Requires:	hicolor-icon-theme
Requires:	polkit
%if 0%{?fedora} || 0%{?rhel} >= 8
Requires:	python3-xapp
Requires:	python3-gobject
Requires:	python3-setproctitle
%else  # 0%%{?fedora} || 0%%{?rhel} >= 8
Requires:	python-xapp
Requires:	python-gobject
Requires:	python-setproctitle
%endif # 0%%{?fedora} || 0%%{?rhel} >= 8
Requires:	slick-greeter

%description
This tool currently lets users configure slick-greeter.


%prep
%autosetup -p 1

# Clean she-bangs.
for f in .%{_prefix}/lib/%{name}/*.py ; do
	%{__sed} -e '/^#!.*/d' < ${f} > ${f}.new
	/bin/touch -r ${f} ${f}.new
	%{__mv} -f ${f}.new ${f}
done

# Use pkexec.
f=".%{_bindir}/%{name}"
%{__sed} -e 's!support_pkexec=False!support_pkexec=True!g'		\
	< ${f} > ${f}.new
/bin/touch -r ${f} ${f}.new
%{__mv} -f ${f}.new ${f}

# Use Python2 on EPEL <= 7.
%if (0%{?rhel} && 0%{?rhel} >= 7)
for f in $(%{__grep} -Rl '#!.*python3') ; do
  %{__sed} -e 's~#!.*python3~#!/usr/bin/python2~g' < ${f} > ${f}.new
  /bin/touch -r ${f}.new ${f}
  mode="$(%{_bindir}/stat -c '%a' ${f})"
  %{__mv} -f ${f}.new ${f}
  %{__chmod} -c ${mode} ${f}
done
%endif # (0%%{?rhel} && 0%%{?rhel} >= 7)


%build
%make_build


%install
# No install-target in Makefile.
%{__cp} -pr .%{_prefix} %{buildroot}

# Set exec-permissions where needed.
%{__chmod} -c 0755 %{buildroot}%{_bindir}/%{name}			\
	 %{buildroot}%{_prefix}/lib/%{name}/%{name}

# Find localizations and build manifest.
%find_lang %{name}


%check
%{_bindir}/desktop-file-validate					\
	%{buildroot}%{_datadir}/applications/*.desktop


%if (0%{?rhel} && 0%{?rhel} >= 7)
%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor	\
		&>/dev/null || :
fi

%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor		\
	&>/dev/null || :
%endif # (0%%{?rhel} && 0%%{?rhel} >= 7)

%files -f %{name}.lang
%license debian/copyright COPYING
%doc debian/changelog README.md
%{_bindir}/%{name}
%{_prefix}/lib/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/polkit-1/actions/org.x.%{name}.policy


%changelog
* Thu Feb 15 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.1.4-1
- Update to 1.1.4 release

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Nov 06 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.3-1
- Update to 1.1.3 release (rhbz#1509947)

* Fri Oct 27 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.1.2-1
- Update to 1.1.2 release

* Thu Aug 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.1-6
- Preserve mode of files when changing hashbang

* Thu Aug 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.1-5
- Fix hashbangs for EPEL

* Tue Aug 29 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.1-4
- Another fix for EPEL

* Tue Aug 29 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.1-3
- Adjustments for EPEL

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 30 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.1-1
- Update to 1.1.1 release (rhbz#1466545)

* Tue Jun 13 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0 release (rhbz#1460470)

* Wed May 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.9-1
- Update to 1.0.9 release (rhbz#1455370)

* Thu May 18 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.7-2
- Activate support for pkexec

* Wed May 17 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.7-1
- Update to 1.0.7 release (rhbz#1451532)

* Mon May 15 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5 release (rhbz#1450706)

* Sun May 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4 release (rhbz#1448705)
- Pick up installed locales

* Fri May 05 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.3-1
- Update to 1.0.3 release
- Add requires python3-xapp

* Wed Apr 26 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.2-4
- Add missing dependency on python3-setproctitle (rhbz#1444436)

* Sat Apr 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.2-3
- Add more patches from upstream

* Fri Apr 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.2-2
- Add patches from upstream

* Fri Apr 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.2-1
- Initial import (rhbz#1440240)

* Fri Apr 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.2-0.1
- Initial rpm-release (rhbz#1440240)
